Name:           hiredis
Version:        0.13.3
Release:        13%{?dist}
Summary:        Minimalistic C client library for Redis
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# https://github.com/redis/hiredis/pull/554
Patch0:         0001-build-do-not-assume-that-INSTALL-is-cp.patch
# Already upstream
# Fix for CVE-2020-7105.
Patch1:         https://github.com/lamby/hiredis/commit/78cec256efa5ca4705af85edbdf137060c9a4b0a.patch
BuildRequires:  gcc
BuildRequires:  redis

%description 
Hiredis is a minimalistic C client library for the Redis database.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%make_build PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"     \
            DEBUG="%{optflags}" LDFLAGS="%{?__global_ldflags}"

%install
%make_install PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"

find %{buildroot} -name '*.a' -delete -print

# I don't believe it's stable, so keep previous schema here.
cd %{buildroot}%{_libdir} && ln -sf libhiredis.so.0.13 libhiredis.so.0

%check
# TODO: Koji isolated environment may cause some tests fail to pass.
make check || true

%ldconfig_scriptlets

%files
%doc COPYING
%{_libdir}/libhiredis.so.0
%{_libdir}/libhiredis.so.0.13

%files devel
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/
%{_libdir}/libhiredis.so
%{_libdir}/pkgconfig/hiredis.pc

%changelog
* Wed Feb 26 2025 Kaiqiang Wang <wangkaiqiang@ieisystgem.com> - 0.13.3-13
- update to hiredis-0.13.3-13.el8.src.rpm
